Skip to main content
GET
/
api
/
v1
/
events
List Events
curl --request GET \
  --url https://app.eventgraph.ai/api/v1/events \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "platform": "<string>",
      "category": "<string>",
      "status": "<string>",
      "image_url": "<string>",
      "market_count": 123,
      "total_volume": 123,
      "volume_24h": 123,
      "liquidity": 123,
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ]
    }
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "response_ms": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your EventGraph API key (eg_live_...)

Query Parameters

platform
enum<string>

Filter by platform

Available options:
polymarket,
kalshi,
limitless,
opiniontrade
category
string

Filter by category

status
enum<string>
default:open
Available options:
open,
closed,
all

Search event titles

include_markets
boolean
default:false

Include sub-markets in response

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 100

Response

200 - application/json

Paginated event list

data
object[]
timestamp
string<date-time>
meta
object